import json
import requests
from api_auth import APICredentials, APIParams

class LiveChannel:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_all_live_channels()

    def _get_all_live_channels(self):        
        url = "{}{}".format(self.host, "/api/v4/channels")

        headers = {'Content-Type': 'application/json'}

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
        print(response.json())
  
LiveChannel().run()